Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership CollectionFinance Collection
User CollectionEvent CollectionSubscription CollectionMembership CollectionFinance Collection
  1. Finance Collection
  • Retrieve Finance Invoice List
    POST
  • Retrieve One Finance Invoice
    GET
  1. Finance Collection

Retrieve One Finance Invoice

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
GET
/finance/invoice/{invoiceId}
Retrieve one invoice with id. This endpoint returns one invoice detail with items.

Request

Path Params

Header Params

Responses

🟢200
application/json
Invoice detail returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/finance/invoice/' \
--header 'a;' \
--header 'token;' \
--header 'requestOrganizationId;'
Response Response Example
{
    "id": 8227452,
    "organizationId": 2018,
    "number": "APP_INV000474",
    "proformaNumber": "PRO000230",
    "title": "Invoice",
    "paymentCompletionDate": 1742875201000,
    "currency": "USD",
    "faceTotal": 100,
    "balanceDue": 0,
    "proforma": false,
    "purchaserGivenName": "Lolly31",
    "purchaserFamilyName": "Zhang",
    "purchaserEmail": "lolly31.zhang@glueup.com",
    "origin": "MembershipApplication",
    "voided": false,
    "createdOn": 1742895336000,
    "lastModified": 1742895827000,
    "issueDate": 1742832001000,
    "dueDate": 1745424001000,
    "items": [
        {
            "id": 10207304,
            "organizationId": 2018,
            "invoiceId": 8227452,
            "status": "Valid",
            "type": "MembershipApplication",
            "paidStatus": "Paid",
            "faceValue": 100,
            "createdOn": 1742895336000,
            "lastModified": 1742895827000,
            "payment": {
                "id": 557377,
                "organizationId": 2018,
                "amount": 100,
                "paymentMethod": "AtdoorCash",
                "status": "Valid",
                "settleStatus": "Settle",
                "createdOn": 1742895827000
            }
        }
    ],
    "address": {
        "customFormAnswers": {
            "mandatoryfield": "kjjk"
        }
    },
    "company": {
        "id": 1000020,
        "organizationId": 2018,
        "name": "GDPR"
    },
    "contacts": [
        {
            "id": 1000398,
            "organizationId": 2018,
            "familyName": "Zhang",
            "givenName": "Lolly31",
            "emailAddress": {
                "value": "lolly31.zhang@glueup.com"
            }
        }
    ]
}
Modified at 2026-06-11 06:40:13
Previous
Retrieve Finance Invoice List
Built with